#
# spec file for package perl-Plack-Middleware-FixMissingBodyInRedirect
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Plack-Middleware-FixMissingBodyInRedirect
Version:        0.12
Release:        1.17
%define cpan_name Plack-Middleware-FixMissingBodyInRedirect
Summary:        Plack::Middleware which sets body for redirect response, if it's not alr[cut]
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Plack-Middleware-FixMissingBodyInRedirect/
Source:         http://www.cpan.org/authors/id/S/SW/SWEETKID/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Middleware)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Plack::Util)
BuildRequires:  perl(parent)
Requires:       perl(HTML::Entities)
Requires:       perl(Plack::Middleware)
Requires:       perl(Plack::Util)
Requires:       perl(parent)
%{perl_requires}

%description
This module sets body in redirect response, if it's not already set.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Plack-Middleware-FixMissingBodyInRedirect/Changes
* Mon Feb 24 2014 coolo@suse.com
- initial package 0.09
  * created by cpanspec 1.78.07
